Chuyển đến nội dung
Diễn đàn CADViet
congtunguyen

Hỏi về lệnh DCO

Các bài được khuyến nghị

Khi dim kích thước trong cad mình dùng lệnh DLI để dim một đường thẳng có chiều dài mà 1000mm. tiếp theo dùng lệnh DCO và muốn có một dim dài 1000mm nữa nên đánh số 1000 và enter nhưng kích thước ra không phải là 1000, Bác nào biết chỉ mình cái. như vậy là lỗi gì và muốn có dim 1000 thì phải làm thế nào?

Thank so much!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Khi dim kích thước trong cad mình dùng lệnh DLI để dim một đường thẳng có chiều dài mà 1000mm. tiếp theo dùng lệnh DCO và muốn có một dim dài 1000mm nữa nên đánh số 1000 và enter nhưng kích thước ra không phải là 1000, Bác nào biết chỉ mình cái. như vậy là lỗi gì và muốn có dim 1000 thì phải làm thế nào?

Thank so much!

Vẫn là 1000 thì sao không Copy cho nhanh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Vẫn là 1000 thì sao không Copy cho nhanh

vấn đề ở đây không phải là 1000 bạn à, y mình muốn là làm sao để tạo một kích thước tiếp theo theo đúng ý mình bằng lệnh DCO

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

không biết các phiên bản cad mới 2012, 2013 ... lệnh DCO có thể đánh được giá trị kích thước chưa nhỉ?

CAD 2014 chưa có 

Bạn sử dụng code này :

 

(defun c:dcc(/ e kthuoc dxf10 dxf14 ang)
  ;write by Tue_NV
(if (setq e (car(entsel "\n Pick chon Dim : ")))
(while (setq kthuoc (getreal "\n Nhap kich thuoc :"))
  (setq dxf10 (cdr(assoc 10 (entget e))))
  (setq dxf14 (cdr(assoc 14 (entget e))))
  (setq ang (angle dxf14 dxf10))
    (vl-cmdf "DIMCONTINUE" e "_non" (polar dxf14 (+ ang (/ pi 2.0)) kthuoc) "" "")
  (setq e (entlast))
)
 )
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

CAD 2014 chưa có 

Bạn sử dụng code này :

 

(defun c:dcc(/ e kthuoc dxf10 dxf14 ang)
  ;write by Tue_NV
(if (setq e (car(entsel "\n Pick chon Dim : ")))
(while (setq kthuoc (getreal "\n Nhap kich thuoc :"))
  (setq dxf10 (cdr(assoc 10 (entget e))))
  (setq dxf14 (cdr(assoc 14 (entget e))))
  (setq ang (angle dxf14 dxf10))
    (vl-cmdf "DIMCONTINUE" e "_non" (polar dxf14 (+ ang (/ pi 2.0)) kthuoc) "" "")
  (setq e (entlast))
)
 )
  (princ)
)

thank you!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×